# $MidnightBSD: trunk/Mk/extensions/samba.mk 23099 2018-03-08 14:00:12Z laffer1 $
# $FreeBSD: head/Mk/Uses/samba.mk 456595 2017-12-18 07:00:10Z antoine $
#
# Handle dependency on samba
#
# Feature:	samba
# Usage:	USES=samba or USES=samba:ARGS
# Valid ARGS:	build, env, lib, run
#		default is build,run (implicit)
#
# When subpackages are available this can be more granular
#

.if !defined(_INCLUDE_USES_SAMBA_MK)
_INCLUDE_USES_SAMBA_MK=   yes

.if !${samba_ARGS}
samba_ARGS=	build run
.endif

.if ${samba_ARGS:Nbuild:Nenv:Nlib:Nrun}
IGNORE=		USES=samba has invalid arguments: ${samba_ARGS:Nbuild:Nenv:Nlib:Nrun}
.endif

SAMBAPORT=	net/samba${SAMBA_DEFAULT:S/.//}
SAMBAINCLUDES=	${LOCALBASE}/include/samba4
.if ${SAMBA_DEFAULT} == 4.4 || ${SAMBA_DEFAULT} == 4.5 || ${SAMBA_DEFAULT} == 4.6 || ${SAMBA_DEFAULT} == 4.7
SAMBALIBS=	${LOCALBASE}/lib/samba4
.elif ${SAMBA_DEFAULT} == 4.2 || ${SAMBA_DEFAULT} == 4.3
SAMBALIBS=	${LOCALBASE}/lib/samba
.else
IGNORE=		Invalid version of samba: ${SAMBA_DEFAULT}
.endif

.if ${samba_ARGS:Mbuild}
BUILD_DEPENDS+=	smbd:${SAMBAPORT}
.endif
.if ${samba_ARGS:Mlib}
LIB_DEPENDS+=	libsmbclient.so:${SAMBAPORT}
.endif
.if ${samba_ARGS:Mrun}
RUN_DEPENDS+=	smbd:${SAMBAPORT}
.endif

.endif
